<template>
  <b-form-group
      :description="field.description"
      :label="field.label"
      :label-for="field.id">
    <b-form-checkbox
        :id="field.id"
        :name="field.id"
        class="h-100"
        :value="showViral"
        :disabled="loading"
        @change="setViral"
        switch>
    </b-form-checkbox>
  </b-form-group>
</template>

<script>
import {mapState, mapActions, mapGetters} from 'vuex'

export default {
  name: 'ViralSwitch',
  computed: {
    ...mapState({
      showViral: state => state.gallery.showViral
    }),
    ...mapGetters({
      loading: 'gallery/loading'
    })
  },
  data() {
    return {
      field: {
        id: 'viral-switch',
        label: 'Viral switch',
        description: 'Include or exclude viral images',
      }
    }
  },
  methods: {
    ...mapActions({
      setViral: 'gallery/setViral'
    }),
    ...mapGetters({
      loading: 'gallery/loading'
    })
  }
}
</script>

<style scoped>

</style>